summaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/mount.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/scripts/mount.sh b/scripts/mount.sh
new file mode 100755
index 0000000..f75f403
--- /dev/null
+++ b/scripts/mount.sh
@@ -0,0 +1,14 @@
+#!/bin/bash
+set -e
+set -x
+
+go build ./cmd/btrfs-rec
+
+mkdir -p ../scratch/dump-zero.mnt
+
+sudo ./btrfs-rec \
+ --pv ../scratch/dump-zero.img \
+ --mappings=../scratch/dump-zero.gen/2.mappings.json \
+ inspect mount \
+ --skip-filesums \
+ ../scratch/dump-zero.mnt